import * as React from "react";
export interface AutoCompleteProps<T extends {
    id: string;
}> {
    id?: string;
    autoFocus?: boolean;
    placeholder: string;
    disabled?: boolean;
    items: T[];
    input: (props: any) => React.ReactNode;
    getString(item: T): string;
    onSelect(item: T): void;
}
export declare function AutoComplete<T extends {
    id: string;
}>(props: AutoCompleteProps<T>): JSX.Element;
export declare namespace AutoComplete {
    var defaultProps: {
        getString: (item: any) => any;
        input: (props: any) => JSX.Element;
    };
}
interface SearchProps {
    activeWidth: string;
    inactiveWidth: string;
}
export declare const SearchAutoComplete: <T extends {
    id: string;
}>(props: SearchProps & AutoCompleteProps<T>) => JSX.Element;
export {};
