/// <reference types="react" />
interface Props<T extends {
    id: string;
}> {
    id?: string;
    autoFocus?: boolean;
    placeholder: string;
    disabled?: boolean;
    items: T[];
    getString(item: T): string;
    onSelect(item: T): void;
}
export declare function AutoComplete<T extends {
    id: string;
}>(props: Props<T>): JSX.Element;
export declare namespace AutoComplete {
    var defaultProps: {
        getString: (item: any) => any;
    };
}
export {};
