/// <reference types="react" />
export interface FlexProps {
    doFlex?: string;
    flexDirection?: "row" | "row-reverse" | "column" | "column-reverse";
    flexWrap?: "nowrap" | "wrap" | "wrap-reverse";
    justifyContent?: "flex-start" | "flex-end" | "center" | "space-between" | "space-around" | "space-evenly";
    alignItems?: "flex-start" | "flex-end" | "center" | "baseline" | "stretch";
    alignContent?: "flex-start" | "flex-end" | "center" | "space-between" | "space-around" | "stretch";
}
export declare const Flex: import("@emotion/styled-base").StyledComponent<import("react").ClassAttributes<HTMLDivElement> & import("react").HTMLAttributes<HTMLDivElement> & import("./block").BlockProps & {
    theme?: any;
} & import("react").Attributes, FlexProps, any>;
interface ColumnProps {
    flex?: string;
}
export declare const Column: import("@emotion/styled-base").StyledComponent<import("react").ClassAttributes<HTMLDivElement> & import("react").HTMLAttributes<HTMLDivElement> & import("./block").BlockProps & {
    theme?: any;
} & import("react").Attributes, ColumnProps, any>;
export {};
