/// <reference types="react" />
interface AutoGridProps extends GridPlacementProps {
    columns?: string;
    rows?: string;
    margin?: string;
    gridGap?: string;
}
export declare const AutoGrid: import("@emotion/styled-base").StyledComponent<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, AutoGridProps, any>;
interface SplitLayoutProps {
    margin?: string;
    gridGap?: string;
}
export declare const SplitLayout: import("@emotion/styled-base").StyledComponent<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, SplitLayoutProps, any>;
declare type GridContentPlacement = "start" | "end" | "center" | "stretch";
declare type GridPlacement = "start" | "end" | "center" | "space-between" | "space-around" | "stretch";
interface GridPlacementProps {
    alignContent?: GridPlacement;
    alignItems?: GridContentPlacement;
    alignSelf?: GridContentPlacement;
    justifyContent?: GridPlacement;
    justifyItems?: GridContentPlacement;
    justifySelf?: GridContentPlacement;
}
interface ResponsiveGridProps extends GridPlacementProps {
    columns?: string;
    gridGap?: string;
    laptopColumns?: string;
    margin?: string;
    rows?: string;
    tabletColumns?: string;
}
export declare const ResponsiveGrid: import("@emotion/styled-base").StyledComponent<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, ResponsiveGridProps, any>;
export {};
