/// <reference types="react" />
import * as styledComponents from "styled-components";
declare const styled: styledComponents.ThemedBaseStyledInterface<{
    border: string;
    borderRadius: string;
    breakPoints: {
        laptop: string;
        mobile: string;
        mobileRange: string;
        tablet: string;
    };
    componentBackgroundDark: string;
    componentBackgroundLight: string;
    componentHover: string;
    font: string;
    fontFamily: string;
    green: string;
    greenHover: string;
    greenLight: string;
    greenText: string;
    grey: string;
    hover: string;
    inactive: string;
    inputShadow: string;
    laptop: string;
    lightGrey: string;
    mainBackground: string;
    mobile: string;
    pc: string;
    primary: string;
    red: string;
    redHover: string;
    redLight: string;
    redText: string;
    shadows: {
        inset: string;
        level1: string;
        level2: string;
        level3: string;
        level4: string;
        level5: string;
        level6: string;
    };
    tablet: string;
    text: string;
    textHighlight: string;
    textLight: string;
    textSubtile: string;
    themedBlack: string;
    themedWhite: string;
    white: string;
}>, css: styledComponents.BaseThemedCssFunction<{
    border: string;
    borderRadius: string;
    breakPoints: {
        laptop: string;
        mobile: string;
        mobileRange: string;
        tablet: string;
    };
    componentBackgroundDark: string;
    componentBackgroundLight: string;
    componentHover: string;
    font: string;
    fontFamily: string;
    green: string;
    greenHover: string;
    greenLight: string;
    greenText: string;
    grey: string;
    hover: string;
    inactive: string;
    inputShadow: string;
    laptop: string;
    lightGrey: string;
    mainBackground: string;
    mobile: string;
    pc: string;
    primary: string;
    red: string;
    redHover: string;
    redLight: string;
    redText: string;
    shadows: {
        inset: string;
        level1: string;
        level2: string;
        level3: string;
        level4: string;
        level5: string;
        level6: string;
    };
    tablet: string;
    text: string;
    textHighlight: string;
    textLight: string;
    textSubtile: string;
    themedBlack: string;
    themedWhite: string;
    white: string;
}>, createGlobalStyle: <P extends object = {}>(first: styledComponents.CSSObject | TemplateStringsArray | styledComponents.InterpolationFunction<styledComponents.ThemedStyledProps<P, {
    border: string;
    borderRadius: string;
    breakPoints: {
        laptop: string;
        mobile: string;
        mobileRange: string;
        tablet: string;
    };
    componentBackgroundDark: string;
    componentBackgroundLight: string;
    componentHover: string;
    font: string;
    fontFamily: string;
    green: string;
    greenHover: string;
    greenLight: string;
    greenText: string;
    grey: string;
    hover: string;
    inactive: string;
    inputShadow: string;
    laptop: string;
    lightGrey: string;
    mainBackground: string;
    mobile: string;
    pc: string;
    primary: string;
    red: string;
    redHover: string;
    redLight: string;
    redText: string;
    shadows: {
        inset: string;
        level1: string;
        level2: string;
        level3: string;
        level4: string;
        level5: string;
        level6: string;
    };
    tablet: string;
    text: string;
    textHighlight: string;
    textLight: string;
    textSubtile: string;
    themedBlack: string;
    themedWhite: string;
    white: string;
}>>, ...interpolations: styledComponents.Interpolation<styledComponents.ThemedStyledProps<P, {
    border: string;
    borderRadius: string;
    breakPoints: {
        laptop: string;
        mobile: string;
        mobileRange: string;
        tablet: string;
    };
    componentBackgroundDark: string;
    componentBackgroundLight: string;
    componentHover: string;
    font: string;
    fontFamily: string;
    green: string;
    greenHover: string;
    greenLight: string;
    greenText: string;
    grey: string;
    hover: string;
    inactive: string;
    inputShadow: string;
    laptop: string;
    lightGrey: string;
    mainBackground: string;
    mobile: string;
    pc: string;
    primary: string;
    red: string;
    redHover: string;
    redLight: string;
    redText: string;
    shadows: {
        inset: string;
        level1: string;
        level2: string;
        level3: string;
        level4: string;
        level5: string;
        level6: string;
    };
    tablet: string;
    text: string;
    textHighlight: string;
    textLight: string;
    textSubtile: string;
    themedBlack: string;
    themedWhite: string;
    white: string;
}>>[]) => styledComponents.GlobalStyleComponent<P, {
    border: string;
    borderRadius: string;
    breakPoints: {
        laptop: string;
        mobile: string;
        mobileRange: string;
        tablet: string;
    };
    componentBackgroundDark: string;
    componentBackgroundLight: string;
    componentHover: string;
    font: string;
    fontFamily: string;
    green: string;
    greenHover: string;
    greenLight: string;
    greenText: string;
    grey: string;
    hover: string;
    inactive: string;
    inputShadow: string;
    laptop: string;
    lightGrey: string;
    mainBackground: string;
    mobile: string;
    pc: string;
    primary: string;
    red: string;
    redHover: string;
    redLight: string;
    redText: string;
    shadows: {
        inset: string;
        level1: string;
        level2: string;
        level3: string;
        level4: string;
        level5: string;
        level6: string;
    };
    tablet: string;
    text: string;
    textHighlight: string;
    textLight: string;
    textSubtile: string;
    themedBlack: string;
    themedWhite: string;
    white: string;
}>, keyframes: (strings: TemplateStringsArray | styledComponents.CSSKeyframes, ...interpolations: styledComponents.SimpleInterpolation[]) => styledComponents.Keyframes, ThemeProvider: import("react").ComponentClass<styledComponents.ThemeProviderProps<{
    border: string;
    borderRadius: string;
    breakPoints: {
        laptop: string;
        mobile: string;
        mobileRange: string;
        tablet: string;
    };
    componentBackgroundDark: string;
    componentBackgroundLight: string;
    componentHover: string;
    font: string;
    fontFamily: string;
    green: string;
    greenHover: string;
    greenLight: string;
    greenText: string;
    grey: string;
    hover: string;
    inactive: string;
    inputShadow: string;
    laptop: string;
    lightGrey: string;
    mainBackground: string;
    mobile: string;
    pc: string;
    primary: string;
    red: string;
    redHover: string;
    redLight: string;
    redText: string;
    shadows: {
        inset: string;
        level1: string;
        level2: string;
        level3: string;
        level4: string;
        level5: string;
        level6: string;
    };
    tablet: string;
    text: string;
    textHighlight: string;
    textLight: string;
    textSubtile: string;
    themedBlack: string;
    themedWhite: string;
    white: string;
}, {
    border: string;
    borderRadius: string;
    breakPoints: {
        laptop: string;
        mobile: string;
        mobileRange: string;
        tablet: string;
    };
    componentBackgroundDark: string;
    componentBackgroundLight: string;
    componentHover: string;
    font: string;
    fontFamily: string;
    green: string;
    greenHover: string;
    greenLight: string;
    greenText: string;
    grey: string;
    hover: string;
    inactive: string;
    inputShadow: string;
    laptop: string;
    lightGrey: string;
    mainBackground: string;
    mobile: string;
    pc: string;
    primary: string;
    red: string;
    redHover: string;
    redLight: string;
    redText: string;
    shadows: {
        inset: string;
        level1: string;
        level2: string;
        level3: string;
        level4: string;
        level5: string;
        level6: string;
    };
    tablet: string;
    text: string;
    textHighlight: string;
    textLight: string;
    textSubtile: string;
    themedBlack: string;
    themedWhite: string;
    white: string;
}>, any>;
export { css, createGlobalStyle, keyframes, ThemeProvider };
export default styled;
